#include <iostream>
#include <fstream>
#include <string>

#include "pgm.h"
#include "ppm.h"

int main()
{
       ppm_t		org("mandrill.ppm");
       ppm_t		cpy("color.ppm");
       pgm_t		gry(org);

       std::ofstream	ofs;

  ofs.open("copy.ppm",std::ios::out|std::ios::binary);
  ofs << org;
  ofs.close();

  cpy = org;

  ofs.open(cpy.fname().c_str(),std::ios::out|std::ios::binary);
  ofs << cpy;
  ofs.close();

//gry.fromppm(org); // old way, moved to constructor (cleaner, but trickier)
  gry.rename("gray.pgm");

  ofs.open(gry.fname().c_str(),std::ios::out|std::ios::binary);
  ofs << gry;
  ofs.close();

  return 0;
}
